# X224 Class Reference

`#include <x224.h>`

## Public Types

| ConnectRequest = 0xe0
| ConnectConfirm = 0xd0
| DataPDU = 0xf0
enum | Codes { ConnectRequest = 0xe0, ConnectConfirm = 0xd0, DataPDU = 0xf0 }

## Public Member Functions

| X224 ()
void | BuildConnectRequest ()
void | BuildConnectConfirm ()
void | BuildData (const PBYTEArray &data)
void | PrintOn (ostream &strm) const
PBoolean | Decode (const PBYTEArray &rawData)
PBoolean | Encode (PBYTEArray &rawData) const
int | GetCode () const
const PBYTEArray & | GetData () const

## Detailed Description

This class embodies X.224 Class Zero Protocol Data Unit.

## Member Enumeration Documentation

enum X224::Codes

Enumerator:

  ConnectRequest |
  ConnectConfirm |
  DataPDU |

## Constructor & Destructor Documentation

X224::X224 | ( |  | ) |

## Member Function Documentation

void X224::BuildConnectConfirm | ( |  | ) |

void X224::BuildConnectRequest | ( |  | ) |

void X224::BuildData | ( | const PBYTEArray & | data | ) |

PBoolean X224::Decode | ( | const PBYTEArray & | rawData | ) |

PBoolean X224::Encode | ( | PBYTEArray & | rawData | ) | const

int X224::GetCode | ( |  | ) | const`[inline]`

const PBYTEArray& X224::GetData | ( |  | ) | const`[inline]`

void X224::PrintOn | ( | ostream & | strm | ) | const

The documentation for this class was generated from the following file:

- x224.h